PLplot: plimage.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Functions
plimage.c File Reference
`#include "plplotP.h"`

Go to the source code of this file.

## Macros
#define | COLOR_MIN 0.0
#define | COLOR_MAX 1.0
#define | COLOR_NO_PLOT ( -1.0 )

## Functions
void | NoBufferNoPixmap ()
void | RestoreWrite2BufferPixmap ()
void | plimageslow (PLFLT *idata, PLINT nx, PLINT ny, PLFLT xmin, PLFLT ymin, PLFLT dx, PLFLT dy, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | grimage (short *x, short *y, unsigned short *z, PLINT nx, PLINT ny)
void | c_plimagefr (const PLFLT *const *idata, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT valuemin, PLFLT valuemax, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | plfimagefr (PLF2OPS idataops, PLPointer idatap, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT valuemin, PLFLT valuemax, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
void | c_plimage (const PLFLT *const *idata, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT Dxmin, PLFLT Dxmax, PLFLT Dymin, PLFLT Dymax)
void | plfimage (PLF2OPS idataops, PLPointer idatap, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT Dxmin, PLFLT Dxmax, PLFLT Dymin, PLFLT Dymax)

## Macro Definition Documentation

#define COLOR_MAX 1.0

Definition at line 29 of file plimage.c.

#define COLOR_MIN 0.0

Definition at line 28 of file plimage.c.

#define COLOR_NO_PLOT ( -1.0 )

Definition at line 30 of file plimage.c.

## Function Documentation

void c_plimage | ( | const PLFLT *const * | idata,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | zmin,
|  | PLFLT | zmax,
|  | PLFLT | Dxmin,
|  | PLFLT | Dxmax,
|  | PLFLT | Dymin,
|  | PLFLT | Dymax
| ) |  |

Definition at line 333 of file plimage.c.

void c_plimagefr | ( | const PLFLT *const * | idata,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | zmin,
|  | PLFLT | zmax,
|  | PLFLT | valuemin,
|  | PLFLT | valuemax,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 194 of file plimage.c.

void grimage | ( | short * | x,
|  | short * | y,
|  | unsigned short * | z,
|  | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 151 of file plimage.c.

void NoBufferNoPixmap | ( | void |  | ) |

Definition at line 41 of file plimage.c.

void plfimage | ( | PLF2OPS | idataops,
|  | PLPointer | idatap,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | zmin,
|  | PLFLT | zmax,
|  | PLFLT | Dxmin,
|  | PLFLT | Dxmax,
|  | PLFLT | Dymin,
|  | PLFLT | Dymax
| ) |  |

Definition at line 343 of file plimage.c.

void plfimagefr | ( | PLF2OPS | idataops,
|  | PLPointer | idatap,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | zmin,
|  | PLFLT | zmax,
|  | PLFLT | valuemin,
|  | PLFLT | valuemax,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 206 of file plimage.c.

void plimageslow | ( | PLFLT * | idata,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | dx,
|  | PLFLT | dy,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 91 of file plimage.c.

void RestoreWrite2BufferPixmap | ( | void |  | ) |

Definition at line 51 of file plimage.c.